IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Capacities

Occupancy limits per unit per occupancy group

The capacity object

Attributes

iduuid

Unique identifier

capacity_group_iduuid
capacity_groups.id

Identifier of the related capacity group

product_iduuid
products.id

Identifier of the related product

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

maxinteger

Maximum allowed occupancy

mininteger

Minimum allowed occupancy

The capacity object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "capacity_group_id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:09:02.881Z",
  "updated_at": "2026-03-12T05:09:02.881Z",
  "max": 1,
  "min": 0
}

List capacities

Filters

idFilter<uuid>

Unique identifier

capacity_group_idFilter<uuid>
capacity_groups.id

Identifier of the related capacity group

product_idFilter<uuid>
products.id

Identifier of the related product

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

maxFilter<integer>

Maximum allowed occupancy

minFilter<integer>

Minimum allowed occupancy

Responses

200

A list of capacities with the selected columns

206

Partial Content

GET /capacities
curl -X GET "https://api.bookingmood.com/v1/capacities?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create capacities

Body

Partial<Capacity> | Array<Partial<Capacity>>

Responses

201

The newly created capacities with the selected columns

POST /capacities
curl -X POST "https://api.bookingmood.com/v1/capacities" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete capacities

Filters

idFilter<uuid>

Unique identifier

capacity_group_idFilter<uuid>
capacity_groups.id

Identifier of the related capacity group

product_idFilter<uuid>
products.id

Identifier of the related product

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

maxFilter<integer>

Maximum allowed occupancy

minFilter<integer>

Minimum allowed occupancy

Responses

204

The deleted capacities with the selected columns

DELETE /capacities
curl -X DELETE "https://api.bookingmood.com/v1/capacities" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update capacities

Filters

idFilter<uuid>

Unique identifier

capacity_group_idFilter<uuid>
capacity_groups.id

Identifier of the related capacity group

product_idFilter<uuid>
products.id

Identifier of the related product

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

maxFilter<integer>

Maximum allowed occupancy

minFilter<integer>

Minimum allowed occupancy

Body

Partial<Capacity>

Responses

204

The updated capacities with the selected columns

PATCH /capacities
curl -X PATCH "https://api.bookingmood.com/v1/capacities" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'